# Gimp.RunImageFunc

    @accepts(Gimp.Procedure, Gimp.RunMode, Gimp.Image, [Gimp.Drawable], Gimp.ProcedureConfig, gpointer)
    @returns(Gimp.ValueArray)
    def on_RunImageFunc(procedure, run_mode, image, drawables, config, run_data):

The image function is run during the lifetime of the GIMP session, each time a plug-in image procedure is called.

Since 3.0

procedure

  the Gimp.Procedure that runs.

run_mode

  the Gimp.RunMode.

image

  the Gimp.Image.

drawables

  the input Gimp.Drawable-s.

config

  the procedure's remaining arguments.

run_data

  the run_data given in Gimp.ImageProcedure.new.

Returns

  the procedure's return values.